PDA

View Full Version : ant on Leopard




whitehexagon
Jun 9, 2008, 05:45 AM
Anyone else having trouble using an ant build script to run jasper2. Seems like the inclusion of ant in Leopard has broken my build script, but only for the jspc task.

Any suggestions on the best way to override the included ant with a downloaded version? Can I add something to my profile to achieve this?

Cheers

Peter



whitehexagon
Jun 9, 2008, 03:52 PM
hmm, it seems to be related to eclipse I can run the build from the command line with freshly downloaded ant 1.7.0 and 1.6.5, but from within eclipse with default ant plugin, I get:

java.lang.ClassCastException: org.apache.tools.ant.AntClassLoader

If I change the Ant Home within eclipse to use the 1.7, then I get:

XML parser factory has not been configured correctly: Provider org.apache.xerces.jaxp.SAXParserFactoryImpl not found.

Anyway, at least the command line ant is working. I'll post back if I ever find a fix within eclipse, maybe the next version will fix it, and hopefully the occasional crashes I'm getting...

Cheers
Peter

PS using eclipse 3.3.1.1

jeremy.king
Jun 9, 2008, 04:11 PM
I don't think you can point your ANT_HOME at a standalone install of Ant. Instead, you should download the 1.7 plugin for Eclipse or run the Software Updater

whitehexagon
Jun 10, 2008, 12:49 AM
I tried that first, but couldn't find a standalone update site for ant. Also the standard eclipse update didn't list anything new for ant. But then again it looks like the plugin is already at 1.7, so maybe I need to wait for updates to eclipse and the plugin. Thanks anyway!

Cheers
Peter